Subject: Re: bug#33400: 26.1; Order changed for overriding “nil” mode in dir-locals

From: Phil Sainty <[email-masked]>
Date: Fri, 16 Nov 2018 22:48:47 +1300

On 16/11/18 2:21 AM, Neil Roberts wrote:
> Perhaps you could argue that this isn’t really a bug and that having
> multiple values for a directory local variable is just undefined
> behaviour. However I think the previous behaviour was quite useful
> and it would be nice to maintain it. Or maybe ideally it could even
> just say that any more specific mode overrides any less specific mode.

I agree -- it makes intuitive sense for it to work that way, and I
firmly believe that people *do* use it that way already (as per the
example given), as the documentation always presented examples with
the nil case first, and therefore following its example would result
in that intuitive functionality (except in 26.1).

I'd like to see this fixed in 26.2, as I feel it's a very unexpected
change which can break things for users in confusing ways.

-Phil